<?php
if(IN_IQQOL){
    if($_COOKIE['iQQol_Administrator']!=IQQOL_SPPASS)
    {
        $style->assign("state",'COOKIE失效');
        $style->display('admin/index.html');exit();
    }
    else if(isset($_POST['id'])){
        $group=iqqol_parameter::get_dir_glob('template','name',true);
        if(!in_array($_POST['id'],$group))
        {
            $style->assign("state",'模板不存在');
            $style->display('admin/status.html');exit();
        }
        else
        {
            $style->assign("state","<form action='admin.php?action=logout&certain=ok' method='post' ><h2>是否删除？</h2><br><input type=submit value='删除'></form>");
            $style->display('admin/status.html');exit();
        }
    }
    else {
        $style->display('admin/info.html');
    }
}